Skip to main content
GET
Poll for background query

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Query object

id
string<uuid>
project_id
string<uuid>
input_id
string<uuid> | null
collection_id
string<uuid> | null
query_type
enum<string>
Available options:
background
model
enum<string>

The perception model used for this query.

Available options:
perception-0-fast,
perception-0-thinking
status
enum<string>
Available options:
processing,
completed,
failed
use_preset
boolean
question
string | null
Example:

"What's happening in this video?"

short_answer
string | null

Answer to synchronous queries.

answer_uri
string<uri> | null

URI to full answer when short_answer is too long

structured_answer
object | null

Private preview: structured response when using custom queries. Reach out to [email protected] to define your own structured response.

created_at
string<date-time>
Example:

"2026-04-20T12:34:56.000Z"